package game

import (
	"sirlab.de/go/knyt/statement"
)

func (gm *Game) AddStatement(userId string, sm *statement.Statement) {
	gm.mu.Lock()
	defer gm.mu.Unlock()

	if gm.statements[userId] == nil {
		gm.statements[userId] = make(map[string]*statement.Statement, 0)
	}
	gm.statements[userId][sm.GetId()] = sm
}
